Bug 735686 - Topics without a Concern build to book under multiple TOC items
Summary: Topics without a Concern build to book under multiple TOC items
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: David Ryan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 00:00 UTC by David Ryan
Modified: 2015-02-01 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-25 00:37:36 UTC


Attachments (Terms of Use)
Screenshot of two Internal Tools topics under multiple Concerns (118.91 KB, image/png)
2011-09-05 00:02 UTC, David Ryan
no flags Details
Screenshot of correct TOC once 4619 and 4917 were assigned a Concern (124.46 KB, image/png)
2011-09-05 00:03 UTC, David Ryan
no flags Details

Description David Ryan 2011-09-05 00:00:55 UTC
20110901-0957 /CustomSearchTopicList.xhtml


Expected: 
Internal Tools topics exported via the Docbook export button, and built via the package.sh script, to populate the TOC under only the Internal Tools > Administration node. No other Technology or Concern should be present.

Experienced:
Two topics populating under multiple Technologies, per the screenshot attached. 

Process: 
Log in to Skynet
Select Internal Tools
Click Docbook button to download
Extract zip file to workspace
Run package.sh script (note: no edits to metadata as book intedded only for update review)
Open [Book_Dir]/tmp/en-US/html/startpage.html

Notes:
- Builds fine with basic "publican build --formats html --langs en-US" step (also the first step of the script)
- The two topics in particular are 4619, 4917 - both without a Concern
- When a Concern was added, they built correctly (I've left both with their Concerns now, but feel free to play with any Interal topic for sake of being reproducible)
- Assumed topics without Concerns are populating the TOC in a wildcard manner
- Possible workarounds might include some form of "uncategorised" TOC node to isolate the topics without Concerns, and assist in QE process. Or else possibly a query to select all topics where no Concern is flagged as part of a warning prompt prior to Docbook export? Or could this occur easier in the publican script?

Comment 1 David Ryan 2011-09-05 00:02:10 UTC
Created attachment 521412 [details]
Screenshot of two Internal Tools topics under multiple Concerns

Comment 2 David Ryan 2011-09-05 00:03:07 UTC
Created attachment 521413 [details]
Screenshot of correct TOC once 4619 and 4917 were assigned a Concern

Comment 3 Matthew Casperson 2011-09-15 00:57:10 UTC
Fixed in 20110915-1056


Note You need to log in before you can comment on or make changes to this bug.